aboutsummaryrefslogtreecommitdiffstats
path: root/.github/workflows/scripts
diff options
context:
space:
mode:
authorPetr Štetiar <ynezz@true.cz>2022-09-05 09:04:27 +0200
committerJosef Schlehofer <pepe.schlehofer@gmail.com>2022-12-04 16:26:59 +0100
commit2e298230340d038a8738e6b9e263dcf9f3aa662f (patch)
treeff84bd72eb42d8de019f301aa58bd37cfdbe0cfe /.github/workflows/scripts
parent3a9f927c2f74bce2f8b6c1fe654db3ef2cabae0a (diff)
downloadupstream-2e298230340d038a8738e6b9e263dcf9f3aa662f.tar.gz
upstream-2e298230340d038a8738e6b9e263dcf9f3aa662f.tar.bz2
upstream-2e298230340d038a8738e6b9e263dcf9f3aa662f.zip
ci: move scripts into separate directory
So it's clean and tidy. Signed-off-by: Petr Štetiar <ynezz@true.cz> (cherry picked from commit 63ed733d30153667d7d645ab0ee3f5614089c759)
Diffstat (limited to '.github/workflows/scripts')
-rw-r--r--.github/workflows/scripts/ci_helpers.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/.github/workflows/scripts/ci_helpers.sh b/.github/workflows/scripts/ci_helpers.sh
new file mode 100644
index 0000000000..2f9daf81e2
--- /dev/null
+++ b/.github/workflows/scripts/ci_helpers.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+color_out() {
+ printf "\e[0;$1m%s\e[0;0m\n" "$2"
+}
+
+success() {
+ color_out 32 "$1"
+}
+
+info() {
+ color_out 36 "$1"
+}
+
+err() {
+ color_out 31 "$1"
+}
+
+warn() {
+ color_out 33 "$1"
+}
+
+err_die() {
+ err "$1"
+ exit 1
+}